org.apache.hadoop.security.authentication.server

## Class HttpConstants

- java.lang.Object
- - org.apache.hadoop.security.authentication.server.HttpConstants

-     public final class HttpConstants
      extends Object

  This class defines constants used for HTTP protocol entities (such as headers, methods and their values).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTHORIZATION_HEADER` HTTP header used by the client endpoint during an authentication sequence.
    `static String` | `BASIC` HTTP header prefix used during the Basic authentication sequence.
    `static String` | `DIGEST` HTTP header prefix used during the Basic authentication sequence.
    `static String` | `NEGOTIATE` HTTP header prefix used by the SPNEGO client/server endpoints during an authentication sequence.
    `static String` | `WWW_AUTHENTICATE_HEADER` HTTP header used by the server endpoint during an authentication sequence.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WWW_AUTHENTICATE_HEADER

          public static final String WWW_AUTHENTICATE_HEADER

      HTTP header used by the server endpoint during an authentication sequence.
      See Also:
        Constant Field Values

    - #### AUTHORIZATION_HEADER

          public static final String AUTHORIZATION_HEADER

      HTTP header used by the client endpoint during an authentication sequence.
      See Also:
        Constant Field Values

    - #### NEGOTIATE

          public static final String NEGOTIATE

      HTTP header prefix used by the SPNEGO client/server endpoints during an authentication sequence.
      See Also:
        Constant Field Values

    - #### BASIC

          public static final String BASIC

      HTTP header prefix used during the Basic authentication sequence.
      See Also:
        Constant Field Values

    - #### DIGEST

          public static final String DIGEST

      HTTP header prefix used during the Basic authentication sequence.
      See Also:
        Constant Field Values

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.